CreateAutoScalingVmTemplate
CreateAutoScalingVmTemplate
/zstack/v1/autoscaling/vmtemplateOperation ID
CreateAutoScalingVmTemplateSince
3.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
vmInstanceNameStringRequiredThe VM instance name.
vmInstanceDescriptionStringOptional. The detailed description of the VM instance.
vmInstanceOfferingUuidStringRequiredThe instance offering of the VM instance.
imageUuidStringRequiredThe image UUID of the VM instance.
l3NetworkUuidsListRequiredThe L3 networks of the VM instance.
rootDiskOfferingUuidStringOptional. The disk offering of the VM instance root volume.
dataDiskOfferingUuidsListOptional. The disk offerings of the VM instance data volumes.
vmInstanceZoneUuidStringOptional. The zone to which the VM instance belongs.
vmInstanceClusterUuidStringOptional. The cluster to which the VM instance belongs.
hostUuidStringOptional. The host UUID.
primaryStorageUuidForRootVolumeStringOptional. The UUID of the primary storage where the root volume locates.
defaultL3NetworkUuidStringRequiredThe default L3 network of the VM instance.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
typeStringOptional. The template type.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
